package com.schisandra.auth.infra.basic.service;

import com.schisandra.auth.infra.basic.entity.SchisandraAuthUser;

/**
 * (SchisandraAuthUser)表服务接口
 *
 * @author schisandra
 * @since 2024-03-21 20:15:44
 */
public interface SchisandraAuthUserService {



    SchisandraAuthUser queryByEmail(String email);
    SchisandraAuthUser queryByPhone(String phone);


    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraAuthUser queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraAuthUser 实例对象
     * @return 实例对象
     */
    Boolean insert(SchisandraAuthUser schisandraAuthUser);

    /**
     * 修改数据
     *
     * @param schisandraAuthUser 实例对象
     * @return 实例对象
     */
    int update(SchisandraAuthUser schisandraAuthUser);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    int insertAuthUserByOauth(SchisandraAuthUser schisandraAuthUser);
}
